<?php

namespace Drupal\preview_graphql\Event;

use Drupal\Core\Routing\TrustedRedirectResponse;

/**
 * Event that is fired before graphql preview set the redirect response.
 *
 * @see \Drupal\preview_graphql\Services\\PreviewGraphQlManager::sendDataFront().
 */
class RedirectEvent extends PreviewGraphQlEventBase {

  const EVENT_NAME = 'preview_graphql.redirect';

  /**
   * The front redirection url.
   *
   * @var string
   */
  public $urlParameterValue;

  protected $response;


  /**
   * RedirectEvent constructor.
   *
   * @param string $carrier_callback
   * @param \Drupal\Core\Routing\TrustedRedirectResponse $response
   * @param $url_parameter_value
   */
  public function __construct($carrier_callback, TrustedRedirectResponse $response, $url_parameter_value) {
    parent::__construct($carrier_callback);
    $this->carrierCallback = $carrier_callback;
    $this->response = $response;
    $this->urlParameterValue = $url_parameter_value;
  }

  /**
   * @param \Drupal\Core\Routing\TrustedRedirectResponse $response
   */
  public function setResponse(TrustedRedirectResponse $response) {
    $this->response = $response;
  }

  /**
   * @return \Drupal\Core\Routing\TrustedRedirectResponse
   */
  public function getResponse() {
    return $this->response;
  }

}
